Wikidata broken in IE8
Closed, ResolvedPublic

Description

An editor reports that the "add" and "edit" links for changing the sitelinks for a wikidata item do not appear in IE8. (Noticed on the page Q1981364. I do not have IE8 installed so I cannot confirm it mayself.) The javascript console shows this error:

mw.template: Tried to generate invalid HTML for template "wb-toolbar-button"


Version: unspecified
Severity: normal

Tgr created this task.Via LegacyJan 21 2013, 11:02 PM
Snaterlicious added a comment.Via ConduitFeb 7 2013, 1:20 PM

Has been fixed in change I77ce91f2.

Abraham added a comment.Via ConduitFeb 13 2013, 4:14 PM

Verified in Wikidata demo sprint 32

bzimport added a comment.Via ConduitFeb 18 2013, 5:34 PM

benedix wrote:

still broken for me in IE 8.0.6001.18702 (most actual IE for Windows XP)

neither on http://wikidata-test-repo.wikimedia.de/wiki/Q3 nor on http://wikidata-dev-repo.wikimedia.de/wiki/Q1051

it's possible to edit the label, description and alias.

it's not possible to edit statements and langlinks.

Snaterlicious added a comment.Via ConduitFeb 18 2013, 5:55 PM

You are right. The original issue was fixed but in the meantime another incompatibility popped up. Should be fixed in https://gerrit.wikimedia.org/r/#/c/49691/.

AnjaJentzsch added a comment.Via ConduitFeb 18 2013, 7:48 PM

Doesn't work in IE8, see http://lb.bombenlabor.de/tmp/ie8.PNG

bzimport added a comment.Via ConduitFeb 18 2013, 8:58 PM

benedix wrote:

I tested on wikidata.org:

  • editing label, description and alias is working (the links take me to Special:SetLabel/Description/Alias)
  • editing the lang-links is not working, the edit-links take me to the mainpage
Snaterlicious added a comment.Via ConduitFeb 22 2013, 10:26 AM

Seems like the fix has not been backported which is why it does not work on wikidata.org and test-repo. However, it is live on dev-repo by now.

bzimport added a comment.Via ConduitFeb 22 2013, 10:40 AM

benedix wrote:

not working for me:
http://lb.bombenlabor.de/tmp/ie8_201302221139.PNG

Snaterlicious added a comment.Via ConduitFeb 26 2013, 4:55 PM

You seem to have some other failure than the one fixed. However, I cannot reproduce it on my machine. Excuse me for asking: Did you clear the cache? If so, please post the content of the JavaScript console (open the developer tools or double click the error icon far left in the browser's status bar) or submit a screenshot of it. Would help a lot tracking down the error.

GoingBatty added a comment.Via ConduitFeb 27 2013, 4:30 AM

Here's the error details I get when I load http://www.wikidata.org/wiki/Q2913286
using IE8 on a Windows 7 machine:

Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64; Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)
Timestamp: Wed, 27 Feb 2013 04:28:57 UTC

Message: Template "wb-claims-section" has no DOM node selectable via the jQuery expression ".wb-claims"
Line: 351
Char: 298
Code: 0
URI: http://bits.wikimedia.org/www.wikidata.org/load.php?debug=false&lang=en&modules=dataTypes%2CdataValues%2CvalueParsers%2Cwikibase%7CdataTypes.dataTypesModule%7CdataTypes.jquery.valueview%7CdataTypes.jquery.valueview.views%7CdataValues.DataValue%2Cutil%2Cvalues%7Cext.centralNotice.bannerController%7Cext.translate%7Cext.uls.displaysettings%2Cgeoclient%2Cime%2Cinit%2Cinputsettings%2Clanguagesettings%2Cpreferences%2Cwebfonts%7Cext.uls.webfonts.repository%7Cjquery.client%2Ccookie%2Ceachchange%2Ci18n%2Cime%2CinputAutoExpand%2CjStorage%2Cjson%2CmwExtension%2CnativeEventHandler%2Ctablesorter%2Ctipsy%2Culs%2Cwebfonts%7Cjquery.ui.TemplatedWidget%2Centityselector%2Csuggester%7Cjquery.wikibase.claimlistview%2Cclaimview%2Centityview%2Clistview%2Creferenceview%2Csiteselector%2Csnakview%2Cstatementview%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2CjqueryMsg%2Clanguage%2Cnotify%2Cuser%2Cutil%7Cmediawiki.language.data%2Cinit%7Cmediawiki.legacy.ajax%2Cshared%2Cwikibits%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.startup%7CvalueParsers.ValueParser%2Capi%2Cparsers%2Cutil%7Cwikibase.RepoApiError%2Ccommon%2Cdatamodel%2Cparsers%2CrepoAccess%2Csites%2Cstore%2Ctemplates%2Cutilities%7Cwikibase.jquery.valueview.views%7Cwikibase.ui.Base%2CPropertyEditTool%2CToolbar%2CTooltip%2CentityViewInit%7Cwikibase.utilities.jQuery%7Cwikibase.utilities.jQuery.ui.tagadata&skin=vector&version=20130227T042332Z&*

GoingBatty added a comment.Via ConduitMar 10 2013, 11:13 PM

Still geting an error when I load http://www.wikidata.org/wiki/Q2913286
using IE8 on a Windows 7 machine:

Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64; Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)
Timestamp: Sun, 10 Mar 2013 23:11:54 UTC

Message: Can not create abstract Entity of no specific type
Line: 213
Char: 260
Code: 0
URI: http://bits.wikimedia.org/www.wikidata.org/load.php?debug=false&lang=en&modules=dataTypes%2CdataValues%2CvalueParsers%2Cwikibase%7CdataTypes.dataTypesModule%7CdataTypes.jquery.valueview%7CdataTypes.jquery.valueview.views%7CdataValues.DataValue%2Cutil%2Cvalues%7Cext.centralNotice.bannerController%7Cext.translate%7Cjquery.client%2Ccookie%2Ceachchange%2CinputAutoExpand%2Cjson%2CmwExtension%2CnativeEventHandler%2Ctablesorter%2Ctipsy%7Cjquery.ui.TemplatedWidget%2Csuggester%7Cjquery.wikibase.addtoolbar%2Cclaimlistview%2Cclaimview%2Cedittoolbar%2Centityselector%2Centityview%2Clistview%2Creferenceview%2Csiteselector%2Csnakview%2Cstatementview%7Cmediawiki.Title%2Capi%2Ccldr%2CjqueryMsg%2Clanguage%2Cnotify%2Cuser%2Cutil%7Cmediawiki.language.data%2Cinit%7Cmediawiki.legacy.ajax%2Cshared%2Cwikibits%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.startup%7CvalueParsers.ValueParser%2Capi%2Cparsers%2Cutil%7Cwikibase.RepoApiError%2Ccommon%2Cdatamodel%2Cparsers%2CrepoAccess%2Cserialization%2Csites%2Cstore%2Ctemplates%2Cutilities%7Cwikibase.jquery.valueview.views%7Cwikibase.serialization.entities%2Cfetchedcontent%7Cwikibase.store.FetchedContent%7Cwikibase.ui.Base%2CPropertyEditTool%2CToolbar%2CTooltip%2CentityViewInit%7Cwikibase.utilities.jQuery%7Cwikibase.utilities.jQuery.ui.tagadata&skin=vector&version=20130310T230642Z&*

Lydia_Pintscher added a comment.Via ConduitMar 11 2013, 8:01 AM

Reopening since we're still getting reports about this.

bzimport added a comment.Via ConduitMar 14 2013, 10:32 AM

kipmaster wrote:

I also get the error "Can not create abstract Snak of no specific type" or "Can not create abstract Entity of no specific type" when editing with IE8 (chrome works fine on the same computer).

I think it is maybe related to the "Dontenum bug" https://developer.mozilla.org/en/docs/ECMAScript_DontEnum_attribute#JScript_DontEnum_Bug which affects IE6-8, in particular when using ".prototype" , and I see it is used in Wikidata.

Could someone with more understanding of the code check this?

Amire80 added a comment.Via ConduitMar 17 2013, 1:28 PM

Created attachment 11948
example with Hebrew item editing

Attaching another screenshot, if it helps. This is not from my machine, but from another IE8 user. (I use Fedora.)

Notice a few things:

  1. The user wrote the item title and description, but the links for saving them are not appearing.
  1. The titles of sitelinks in different languages are all aligned to the right. This may be a problem with the ULS API, which is used to adjust the alignment, and maybe JS just breaks before it.

Attached:

Snaterlicious added a comment.Via ConduitMar 28 2013, 5:36 PM

There are more patch sets to come. There is a bug in core's jquery.ui.autocomplete which might need to be fixed as well to get the entity selector working in IE8.

Snaterlicious added a comment.Via ConduitApr 2 2013, 2:59 PM

Still no errors when simulating IE8 in the IE9 dev tools. However, at least viewing an item page should be possible as soon as these are merged:
https://gerrit.wikimedia.org/r/#/c/57071/
https://gerrit.wikimedia.org/r/#/c/57072/
https://gerrit.wikimedia.org/r/#/c/57073/

gerritbot added a comment.Via ConduitApr 8 2013, 8:18 AM

https://gerrit.wikimedia.org/r/57073 (Gerrit Change I0dfb0fb5b35ba8faf2b0ae1be2ba0dacc9946edc) | change APPROVED and MERGED [by Tobias Gritschacher]

gerritbot added a comment.Via ConduitApr 8 2013, 9:05 AM

Related URL: https://gerrit.wikimedia.org/r/58065 (Gerrit Change I010f7086fec45814c2715667f2d2056fdfd926b0)

gerritbot added a comment.Via ConduitApr 8 2013, 9:16 AM

Related URL: https://gerrit.wikimedia.org/r/58067 (Gerrit Change If04358e66c70e4a4a6f711fdf0fa248cf60d6998)

Snaterlicious added a comment.Via ConduitApr 8 2013, 9:31 AM

wikidata.org and "test" are still broken because the fixes have not been deployed there yet.
On "dev", resource loader debug mode was enabled triggering a problem with IE < 9 by dynamically adding too many css files. However, apart from that, there is still an incompatibility fixed in https://gerrit.wikimedia.org/r/#/c/58067/ which causes disturbances.
Apart from that, the entity selector does not seem to work smoothly yet which should probably be addressed in another bug.

gerritbot added a comment.Via ConduitApr 8 2013, 11:29 AM

https://gerrit.wikimedia.org/r/58065 (Gerrit Change I010f7086fec45814c2715667f2d2056fdfd926b0) | change APPROVED and MERGED [by Tobias Gritschacher]

gerritbot added a comment.Via ConduitApr 8 2013, 11:33 AM

https://gerrit.wikimedia.org/r/58067 (Gerrit Change If04358e66c70e4a4a6f711fdf0fa248cf60d6998) | change APPROVED and MERGED [by Tobias Gritschacher]

gerritbot added a comment.Via ConduitApr 8 2013, 6:09 PM

https://gerrit.wikimedia.org/r/58116 (Gerrit Change I0dd3360b89afafbd97a08e80a219dc2565dc92b2) | change APPROVED and MERGED [by Daniel Werner]

Thgoiter added a comment.Via ConduitApr 22 2013, 8:20 AM

Seems to be solved for me (IE8 on WinXP). Editing is possible now.

Thgoiter removed a subscriber: Thgoiter.Via WebNov 30 2014, 3:10 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.